FORT Robotics logoFORT Robotics logoFORT Manager API
  • Getting Started
  • Examples
  • Concepts
  • CLI V2
  • API v1 Reference
ApiKeys
    Retrieves keys for an organization.getUpdate the role of the service account associated with a given key nameputValidates an API key for the specified organization.post
Configurations
    Search an organization's configurationsgetCreate a device configurationpostGet a configuration by idgetDelete a configurationdeleteUpdate a configurationpatchGet the current status of a configuration, whether it's complete or has any validation errors.getAdd a device to a configurationpostDelete a device from a configurationdeleteUpdate a device on a configurationpatch
Devices
    Search devicesgetRegister a devicepostUpdate a devicepatchGet the latest firmware by device serial numbergetGets the latest firmware by a specific device type.getGet a device's configurationget
IpNetworkTemplates
    Get IP network templates for an organization. You can search by template name, interface type, as well as sort the list.getCreates a new IP network template for a given comm interface in the current organization.postGet an IP network template by IDget
Users
    Get all usersgetRegister a userpostGet a user by idgetDelete a userdeleteUpdate role for a userpatch
Versions
    Retrieves the current version of the API.get
Schemas
powered by Zudoku
Pro Series API

IpNetworkTemplates

Endpoint:https://platform.fortrobotics.com

IP network template management. IP network templates can be assigned to a device to define a network adapter settings. There are Ethernet and Wifi templates.


Get IP network templates for an organization. You can search by template name, interface type, as well as sort the list.

GET
https://platform.fortrobotics.com
/v1/organizations/{orgId}/ipNetworkTemplates

Get IP network templates for an organization. You can search by template name, interface type, as well as sort the list. › path Parameters

  • orgIdstring · required

    The id of the organization.

Get IP network templates for an organization. You can search by template name, interface type, as well as sort the list. › query Parameters

  • nameFilterstring

    Optional filter for network template name (case-insensitive partial match).

  • typeFilterstring · enum

    Optional filter for network template communication interface type (Wifi/Ethernet).

    Enum values:
    None
    Ethernet
    Wifi
  • sortBystring · enum

    Sorting field for results. Default is Name.

    Enum values:
    Name
    LastEdited
  • sortDirectionstring · enum

    Sorting direction for results.

    Enum values:
    Ascending
    Descending
  • limitinteger · int32

    The number of records to return. Max 30.

  • pageinteger · int32

    The page offset when fetching the records

Get IP network templates for an organization. You can search by template name, interface type, as well as sort the list. › Headers

  • Authorizationstring · required

    The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Get IP network templates for an organization. You can search by template name, interface type, as well as sort the list. › Responses

Success

  • dataarray | null
  • successboolean
  • errorsarray | null
GET /v1/organizations/{orgId}/ipNetworkTemplates

Creates a new IP network template for a given comm interface in the current organization.

POST
https://platform.fortrobotics.com
/v1/organizations/{orgId}/ipNetworkTemplates

Creates a new IP network template for a given comm interface in the current organization. › path Parameters

  • orgIdstring · required

    The id of the organization.

Creates a new IP network template for a given comm interface in the current organization. › Headers

  • Authorizationstring · required

    The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Creates a new IP network template for a given comm interface in the current organization. › Request Body

  • ipNetworkTemplateNamestring · minLength: 1 · required

    The name of the network template. The fields can be overridden after applying them to a device.

  • commInterfacestring · enum · required
    Enum values:
    None
    Ethernet
    Wifi
  • netmaskstring · minLength: 1 · required

    The netmask of the template.

  • gatewayIpAddressstring | null

    The gateway of the template.

  • nameserversarray | null

    A list of nameservers for the template.

  • ssidstring | null

    The Ssid for the network. Only applies to Wifi network templates.

  • passwordstring | null

    The password for the network. Only applies to Wifi network templates.

Creates a new IP network template for a given comm interface in the current organization. › Responses

Success

  • dataobject
  • successboolean
  • errorsarray | null
POST /v1/organizations/{orgId}/ipNetworkTemplates

Get an IP network template by ID

GET
https://platform.fortrobotics.com
/v1/organizations/{orgId}/ipNetworkTemplates/{id}

Get an IP network template by ID › path Parameters

  • idstring · uuid · required
  • orgIdstring · required

    The id of the organization.

Get an IP network template by ID › Headers

  • Authorizationstring · required

    The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Get an IP network template by ID › Responses

Success

  • dataobject
  • successboolean
  • errorsarray | null
GET /v1/organizations/{orgId}/ipNetworkTemplates/{id}

DevicesUsers